Subject: [multipathtcp] FW: New Version Notification for draft-eardley-mptcp-implementations-survey-02.txt

From: <[email-masked]>
Date: Sat, 13 Jul 2013 22:41:10 +0100

I’m delighted to say that we had four replies to our MPTCP implementation survey. Thank-you very much indeed to the people who replied, and of course the teams who did all the hard work implementing and testing. The fact that there are (at least!) four independent implementations is a real tribute to everyone - that mptcp isl on the path to widespread deployment and improving the internet. Thank-you to those who had the original ideas, developed the standard, coded the prototypes, provided critical feedback....

In the I-D I tried to summarise all the replies, whilst also including the full replies.

During the mptcp meeting in Berlin we’ll discuss how we use all this information to help progress the protocol on the standards track. 
We also have an mptcp slot during the tsvarea meeting, so that will be a good opportunity to spread the good news. 

Enjoy!
Phil
________________________________________
From: [email-masked] [[email-masked]]
Sent: 12 July 2013 23:21
To: Eardley,PL,Philip,TUB8 R; Philip Eardley; Philip Eardley
Subject: New Version Notification for   draft-eardley-mptcp-implementations-survey-02.txt

A new version of I-D, draft-eardley-mptcp-implementations-survey-02.txt
has been successfully submitted by Philip Eardley and posted to the
IETF repository.

Filename:        draft-eardley-mptcp-implementations-survey
Revision:        02
Title:           Survey of MPTCP Implementations
Creation date:   2013-07-12
Group:           Individual Submission
Number of pages: 38
URL:             http://www.ietf.org/internet-drafts/draft-eardley-mptcp-implementations-survey-02.txt
Status:          http://datatracker.ietf.org/doc/draft-eardley-mptcp-implementations-survey
Htmlized:        http://tools.ietf.org/html/draft-eardley-mptcp-implementations-survey-02
Diff:            http://www.ietf.org/rfcdiff?url2=draft-eardley-mptcp-implementations-survey-02

Abstract:
   This document presents results from the survey to gather information
   from people who have implemented MPTCP, in particular to help
   progress the protocol from Experimental to Standards track.

   The document currently includes answers from four teams: a Linux
   implementation from UCLouvain, a FreeBSD implementation from
   Swinburne, an anonymous implementation in a commercial OS, and a
   NetScalar Firmware implementation from Citrix Systems, Inc. Thank-
   you!

   In summary, we have four independent implementations of all the MPTCP
   signalling messages, with the exception of address management, and
   some interoperabiity testing has been done by the other three
   implementations with the 'reference' Linux implementation.  So it
   appears that the RFC is (at least largely) clear and correct.  On
   address management, we have only one implementation of ADD_ADDR with
   two teams choosing not to implement it.  We have one implementation
   of the working group's coupled congestion control (RFC6356) and none
   of the MPTCP-aware API (RFC6897).

   The main suggested improvements are around

   o  how MPTCP falls back (if the signalling is interrupted by a
      middlebox): (1) corner cases that are not handled properly, (2) at
      the IETF, the MPTCP community should work with middlebox vendors,
      either to reduce or eliminate the need for fallback or to
      understand the middlebox interactions better.

   o  security: both better MPTCP security (perhaps building on SSL) and
      a lighter weight mechanism, preferably both in one mechanism.

   It is hoped that the next version can include information from any
   other implementations.  If you are an implementer and want to
   contribute your answers, please see the -01 version of this document
   for a blank survey ready to be filled in.

The IETF Secretariat